Package com.smartgwt.client.data.fields

# Class DataSourceImageField

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.data.Field
com.smartgwt.client.data.DataSourceField
com.smartgwt.client.data.fields.DataSourceImageField

All Implemented Interfaces:
  `HasHandlers`

public class DataSourceImageField extends DataSourceField

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSourceImageField()`
  `DataSourceImageField(String name)`
  `DataSourceImageField(String name, String title)`
  `DataSourceImageField(String name, String title, int length)`
  `DataSourceImageField(String name, String title, int length, boolean required)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getImageURLPrefix()`
  Return the imageURLPrefix.
  `void`
  `setImageHeight(String imageHeight)`
  Height of the image-content of this field.
  `void`
  `setImageURLPrefix(String imageURLPrefix)`
  Set the imageURLPrefix.
  `void`
  `setImageWidth(String imageWidth)`
  Width of the image-content of this field.
  `void`
  `setWidth(Integer length)`

  ### Methods inherited from class com.smartgwt.client.data.DataSourceField

  `getCalculated, getCanEdit, getCanExport, getCanFilter, getCanSave, getCanSortClientOnly, getCanView, getChildrenProperty, getChildTagName, getDateFormatter, getDecimalPad, getDecimalPrecision, getDeepCloneOnEdit, getDefaultOperator, getDescription, getDetail, getDisplayField, getEditWhen, getEmptyDisplayValue, getEscapeHTML, getExcludeFromState, getExportForceText, getExportFormat, getExportTitle, getFilterOn, getForeignDisplayField, getForeignKey, getFormat, getFormula, getGroup, getHidden, getIgnoreTextMatchStyle, getImageHeight, getImageHeightAsString, getImageSize, getImageSizeAsString, getImageWidth, getImageWidthAsString, getInapplicable, getInitWhen, getJoinPrefix, getJoinString, getJoinSuffix, getLength, getLenientXPath, getMultiple, getMultipleValueSeparator, getName, getNillable, getOrCreateRef, getPluralTitle, getPrecision, getPrimaryKey, getPrompt, getPropertiesOnly, getReadOnlyWhen, getRecreateOnChange, getRequired, getRequiredMessage, getRequiredWhen, getRootValue, getSequenceName, getShowFileInline, getSortByField, getStringInBrowser, getSummaryFunction, getSummaryValueTitle, getTarget, getTemplate, getTimeFormatter, getTitle, getType, getTypeAsDataSource, getTypeAsSimpleType, getTypeDiscriminator, getUpdateWhen, getUploadFieldName, getUseLocalDisplayFieldValue, getValidationCheckClientCaches, getValidators, getValidOperators, getValueMap, getValueOperation, getValueXPath, getVisibleWhen, getXmlAttribute, setCalculated, setCanEdit, setCanExport, setCanFilter, setCanSave, setCanSortClientOnly, setCanView, setChildrenProperty, setChildTagName, setDateFormatter, setDecimalPad, setDecimalPrecision, setDeepCloneOnEdit, setDefaultOperator, setDescription, setDetail, setDisplayField, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditWhen, setEmptyDisplayValue, setEscapeHTML, setExcludeFromState, setExportForceText, setExportFormat, setExportTitle, setFieldValueExtractor, setFilterEditorProperties, setFilterEditorType, setFilterEditorType, setFilterOn, setForeignDisplayField, setForeignKey, setFormat, setFormula, setGroup, setHidden, setIgnoreTextMatchStyle, setImageHeight, setImageSize, setImageSize, setImageWidth, setInapplicable, setInitWhen, setJoinPrefix, setJoinString, setJoinSuffix, setLength, setLenientXPath, setMultiple, setMultipleValueSeparator, setName, setNillable, setPluralTitle, setPrecision, setPrimaryKey, setPrompt, setPropertiesOnly, setReadOnlyEditorProperties, setReadOnlyEditorType, setReadOnlyEditorType, setReadOnlyEditorType, setReadOnlyWhen, setRecreateOnChange, setRequired, setRequiredMessage, setRequiredWhen, setRootValue, setRootValue, setRootValue, setRootValue, setSequenceName, setShowFileInline, setSortByField, setStringInBrowser, setSummaryFunction, setSummaryFunction, setSummaryFunction, setSummaryValueTitle, setTarget, setTemplate, setTimeFormatter, setTitle, setType, setType, setType, setTypeAsDataSource, setTypeDiscriminator, setUpdateWhen, setUploadFieldName, setUseLocalDisplayFieldValue, setValidationCheckClientCaches, setValidators, setValidOperators, setValueMap, setValueMap, setValueOperation, setValueXPath, setVisibleWhen, setXmlAttribute`

  ### Methods inherited from class com.smartgwt.client.data.Field

  `setRequired`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataSourceImageField

    public DataSourceImageField()

  - ### DataSourceImageField

    public DataSourceImageField(String name)

  - ### DataSourceImageField

    public DataSourceImageField(String name, String title)

  - ### DataSourceImageField

    public DataSourceImageField(String name, String title, int length)

  - ### DataSourceImageField

    public DataSourceImageField(String name, String title, int length, boolean required)

- ## Method Details

  - ### setImageHeight

    public void setImageHeight(String imageHeight)
    Description copied from class: `DataSourceField`
    Height of the image-content of this field. If set as a string, represents the name of another field in the record that holds the imageHeight. Applicable only to fields of image type or fields that use a `ViewFileItem` as an editor.
    Overrides:
      `setImageHeight` in class `DataSourceField`
    Parameters:
      `imageHeight` - imageHeight Default value is null

  - ### setImageWidth

    public void setImageWidth(String imageWidth)
    Description copied from class: `DataSourceField`
    Width of the image-content of this field. If set as a string, represents the name of another field in the record that holds the imageWidth. Applicable only to fields of image type or fields that use a `ViewFileItem` as an editor.
    Overrides:
      `setImageWidth` in class `DataSourceField`
    Parameters:
      `imageWidth` - imageWidth Default value is null

  - ### setWidth

    public void setWidth(Integer length)

  - ### setImageURLPrefix

    public void setImageURLPrefix(String imageURLPrefix)
    Set the imageURLPrefix.
    Parameters:
      `imageURLPrefix` - the imageURLPrefix

  - ### getImageURLPrefix

    public String getImageURLPrefix()
    Return the imageURLPrefix.
    Returns:
      the imageURLPrefix